CVC4::AscriptionTypeHashFunction Struct Reference

A hash function for type ascription operators. More...

`#include <ascription_type.h>`

## Public Member Functions

size_t | operator() (const AscriptionType &at) const

## Detailed Description

A hash function for type ascription operators.

Definition at line 49 of file ascription_type.h.

## Member Function Documentation

## operator()()

size_t CVC4::AscriptionTypeHashFunction::operator() | ( | const AscriptionType & | at | ) | const

inline

Definition at line 50 of file ascription_type.h.

References CVC4::AscriptionType::getType().

The documentation for this struct was generated from the following file:

- src/util/ascription_type.h